Bug 1282161 - pylibmc has python 3 support
pylibmc has python 3 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-pylibmc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Orsava
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2015-11-15 02:35 EST by Taranjeet Singh
Modified: 2016-05-11 05:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-pylibmc-1.5.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-11 05:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update to latest version and add Python 3 support (4.11 KB, patch)
2016-04-29 10:37 EDT, Dominika Krejčí
no flags Details | Diff
Patch to update to latest version and add Python 3 support (better version) (3.78 KB, patch)
2016-05-04 13:18 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description Taranjeet Singh 2015-11-15 02:35:39 EST
I propose to update Python-pylibmc to latest git version to support Python 3 compatibilty
Comment 1 Tomas Orsava 2016-03-15 06:49:27 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 2 Dominika Krejčí 2016-04-22 09:29:40 EDT
Hello Rahul,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Rahul Sundaram 2016-04-28 21:15:32 EDT
I am busy at the moment.  If anyone wants to go ahead and commit any changes required, feel free to.   Thanks!
Comment 4 Dominika Krejčí 2016-04-29 10:37 EDT
Created attachment 1152338 [details]
Patch to update to latest version and add Python 3 support

Hi Rahul,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13850479
Comment 5 Miro Hrončok 2016-04-30 17:46:19 EDT
(In reply to Dominika Krejčí from comment #4)
> Created attachment 1152338 [details]
> Patch to update to latest version and add Python 3 support
> 
> Hi Rahul,
> here is the change needed to add Python 3 support. Could you please review
> it and do the update?
> 
> Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13850479

I'm not sure %filter_provides_in can be used multiple times.
But the thing it's trying to achieve is not necessary anyway, so just remove that part(s).

Also why don't modernize it a bit and use %py3_install etc.?
Comment 6 Dominika Krejčí 2016-05-04 13:18 EDT
Created attachment 1153953 [details]
Patch to update to latest version and add Python 3 support (better version)

Thanks for comments, Miro. There is an upgraded version of the patch.
Comment 7 Tomas Orsava 2016-05-04 13:47:04 EDT
The patch looks good to me. Here's a successful scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13921283
Comment 8 Miro Hrončok 2016-05-05 07:03:56 EDT
Going to push and build it.
Comment 9 Tomas Orsava 2016-05-11 05:41:29 EDT
Tested in rawhide mock, everything checks out! Thanks everybody!

Note You need to log in before you can comment on or make changes to this bug.